# AddInstructionParams

## Hierarchy

* **AddInstructionParams**

## Index

### Properties

* [endBlock](/polymesh-sdk-api-reference/docs-v6/interfaces/addinstructionparams.md#optional-endblock)
* [legs](/polymesh-sdk-api-reference/docs-v6/interfaces/addinstructionparams.md#legs)
* [tradeDate](/polymesh-sdk-api-reference/docs-v6/interfaces/addinstructionparams.md#optional-tradedate)
* [valueDate](/polymesh-sdk-api-reference/docs-v6/interfaces/addinstructionparams.md#optional-valuedate)

## Properties

### `Optional` endBlock

• **endBlock**? : *BigNumber*

*Defined in* [*src/api/procedures/addInstruction.ts:64*](https://github.com/PolymathNetwork/polymesh-sdk/blob/23062de4/src/api/procedures/addInstruction.ts#L64)

block at which the Instruction will be executed automatically (optional, the Instruction will be executed when all participants have authorized it if not supplied)

### legs

• **legs**: *object\[]*

*Defined in* [*src/api/procedures/addInstruction.ts:47*](https://github.com/PolymathNetwork/polymesh-sdk/blob/23062de4/src/api/procedures/addInstruction.ts#L47)

array of token movements (amount, from, to, token)

### `Optional` tradeDate

• **tradeDate**? : [*Date*](/polymesh-sdk-api-reference/docs-v6/enums/transactionargumenttype.md#date)

*Defined in* [*src/api/procedures/addInstruction.ts:56*](https://github.com/PolymathNetwork/polymesh-sdk/blob/23062de4/src/api/procedures/addInstruction.ts#L56)

date at which the trade was agreed upon (optional, for offchain trades)

### `Optional` valueDate

• **valueDate**? : [*Date*](/polymesh-sdk-api-reference/docs-v6/enums/transactionargumenttype.md#date)

*Defined in* [*src/api/procedures/addInstruction.ts:60*](https://github.com/PolymathNetwork/polymesh-sdk/blob/23062de4/src/api/procedures/addInstruction.ts#L60)

date at which the trade was executed (optional, for offchain trades)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v6/interfaces/addinstructionparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
